commit:     4f06ce683fdfc8816a9ff7cc4b5bde8337ec6c96
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Mon Jun 23 16:06:10 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun 26 19:54:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f06ce68

net-libs/libtorrent: add 0.15.5

Bugfix release. Very close to the patched 0.15.4 in the tree.

Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>
Part-of: https://github.com/gentoo/gentoo/pull/42714
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/libtorrent/Manifest                 |  1 +
 net-libs/libtorrent/libtorrent-0.15.5.ebuild | 80 ++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/net-libs/libtorrent/Manifest b/net-libs/libtorrent/Manifest
index f25a78561ff1..fec29d08ad08 100644
--- a/net-libs/libtorrent/Manifest
+++ b/net-libs/libtorrent/Manifest
@@ -2,3 +2,4 @@ DIST libtorrent-0.13.8.tar.gz 834027 BLAKE2B 
374f33af52a45c244182d36bacd6b42eea9
 DIST libtorrent-0.15.1.tar.gz 805722 BLAKE2B 
7b4b9aba8133a2a20a5dd39d451c9478c44f133ae3b5929b79cbd25fb0754b4bc64291a75da898ed335a808b992d67ffa7a3a431420da7073d2fb3c927109649
 SHA512 
e7d607fc3e31e2d6f4643c6760a271324a4f8f102e07228aca13427073426a393b12006329206fa14108d93c2f378a8db3761b0e14ff3ae391551777b4b04a6a
 DIST libtorrent-0.15.3.tar.gz 872751 BLAKE2B 
e1a851273e9341f1e71806ada0417d0123f6a7d0fc0965f6a957bbc55981072385d8ae1c59af18c64d5157457532d39af037cbd9313e2646020bdfb70fc48323
 SHA512 
795a1ff115b37df5899a59ff23524cde95380c323b5a11f369d7f43eb250843cf57ed4a2f39880992ecc05d5724c149cd2955ee6c621193f95d13875af341cec
 DIST libtorrent-0.15.4.tar.gz 870746 BLAKE2B 
5f47edb90bd0cff73b40caefa8ecb44fb71ccae497a2b7482424e223d84ff46c227b4189111cd2f5172d4eab201191403eceb8dcbf9a3d16ccb704083674f7dc
 SHA512 
4c25497f669537087c3de013660dffbd94d867a74e7cf356f26c4afb976cc8ebf3e7feeb704c761c07275940430d161e15a0ffa995ee0b38b8eb2ce90683ff29
+DIST libtorrent-0.15.5.tar.gz 870807 BLAKE2B 
f59677fa39086a01ceb4b982b3328990e6eea72473a2eb4d8df7cbf23e289ec8c75ff3022ff373bdde441d7dc73fcdf9f2e314a580edaf14811d33f53ca5b52a
 SHA512 
78444410b76f81e4f230d7e64ce187d24be027ae456d5082253970f85f7c1ade9d988073ba213427deae81d766abc3eebe7a48d7cd28a1cd3c2c597737deb599

diff --git a/net-libs/libtorrent/libtorrent-0.15.5.ebuild 
b/net-libs/libtorrent/libtorrent-0.15.5.ebuild
new file mode 100644
index 000000000000..4062ad2db90d
--- /dev/null
+++ b/net-libs/libtorrent/libtorrent-0.15.5.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="BitTorrent library written in C++ for *nix"
+HOMEPAGE="https://rakshasa.github.io/rtorrent/";
+SRC_URI="https://github.com/rakshasa/rtorrent/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+# The README says that the library ABI is not yet stable and dependencies on
+# the library should be an explicit, syncronized version until the library
+# has had more time to mature. Until it matures we should not include a soname
+# subslot.
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="debug test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/openssl:=
+       net-libs/udns
+       sys-libs/zlib
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( dev-util/cppunit )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.14.0-tests-address.patch
+       "${FILESDIR}"/${PN}-0.15.3-unbundle_udns.patch
+)
+
+src_prepare() {
+       default
+
+       # use system-udns
+       rm -r src/net/udns || die
+
+       if [[ ${CHOST} != *-darwin* ]]; then
+               # syslibroot is only for macos, change to sysroot for others
+               sed -i 's/Wl,-syslibroot,/Wl,--sysroot,/' 
"${S}/scripts/common.m4" || die
+       fi
+       eautoreconf
+}
+
+src_configure() {
+       # bug 518582
+       local disable_instrumentation
+       echo -e "#include <inttypes.h>\nint main(){ int64_t var = 7; 
__sync_add_and_fetch(&var, 1); return 0;}" \
+               > "${T}/sync_add_and_fetch.c" || die
+       $(tc-getCC) ${CFLAGS} -o /dev/null -x c "${T}/sync_add_and_fetch.c" 
>/dev/null 2>&1
+       if [[ $? -ne 0 ]]; then
+               einfo "Disabling instrumentation"
+               disable_instrumentation="--disable-instrumentation"
+       fi
+
+       # configure needs bash or script bombs out on some null shift, bug 
#291229
+       export CONFIG_SHELL=${BASH}
+
+       local myeconfargs=(
+               LIBS="-ludns"
+               --enable-aligned
+               $(use_enable debug)
+               ${disable_instrumentation}
+               --with-posix-fallocate
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to